Page MenuHomePhabricator

ecore_evas: introduce initial selection & dnd support for x.
ClosedPublic

Authored by bu5hm4n on Jan 26 2020, 3:36 AM.

Details

Summary

Seats are not implemented, if there is a type mismatch promises are
going to be rejected. Most of this code is copied over from
selection_manager.

Depends on D11194

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
bu5hm4n created this revision.Jan 26 2020, 3:36 AM
bu5hm4n requested review of this revision.Jan 26 2020, 3:36 AM
bu5hm4n updated this revision to Diff 28519.Jan 27 2020, 1:56 AM
bu5hm4n edited the summary of this revision. (Show Details)

fixes & more docs

bu5hm4n updated this revision to Diff 28528.Jan 27 2020, 5:34 AM

api name changes

bu5hm4n updated this revision to Diff 28565.Jan 27 2020, 11:37 PM

fix leaks

bu5hm4n updated this revision to Diff 28581.Jan 28 2020, 5:54 AM

correctly emit the events at startup

bu5hm4n updated this revision to Diff 28975.Feb 12 2020, 5:51 AM

More fixes and progress

zmike requested changes to this revision.Feb 12 2020, 7:10 AM

commit log needs to specify that this is for ecore-evas.

overall seems ok

src/modules/ecore_evas/engines/x/ecore_evas_x.c
149

selection

Also this hunk should probably go before the bitfields.

3708

This is in reference to character encoding (https://en.wikipedia.org/wiki/Character_encoding) , and its meaning is that the encoding isn't specified by the protocol and thus can be determined by the selection owner.

In terms of meaning, this more or less should mean "any text format", where the important part in the spec is The type would not actually be TEXT; it would be STRING or some other ATOM naming the encoding chosen by the owner. So we expect/send a specific type rather than text in this case.

In other words, text/plain is probably fine here.

3770

As long as we're in ecore-evas, I'd prefer if we could always pass the parameters ordered with this priority to maintain consistency:

  1. ee is always first when passed
  2. ee private data is always first when passed, or second if ee is passed
This revision now requires changes to proceed.Feb 12 2020, 7:10 AM
bu5hm4n updated this revision to Diff 28992.Feb 12 2020, 11:36 AM
bu5hm4n retitled this revision from Introduce initial selection & dnd support for x. to ecore_evas: introduce initial selection & dnd support for x..

fixes

bu5hm4n marked 3 inline comments as done.Feb 12 2020, 11:47 AM
bu5hm4n updated this revision to Diff 29075.Feb 15 2020, 12:52 PM

fixes & rebase

zmike accepted this revision.Feb 18 2020, 9:44 AM

Seems good

This revision is now accepted and ready to land.Feb 18 2020, 9:44 AM
bu5hm4n updated this revision to Diff 29138.Feb 19 2020, 11:03 AM

updates due to ecore evas changes

vtorri requested changes to this revision.Feb 24 2020, 4:45 AM
vtorri added a subscriber: vtorri.
vtorri added inline comments.
src/modules/ecore_evas/engines/x/ecore_evas_x.c
4226

selection is used, not unused

This revision now requires changes to proceed.Feb 24 2020, 4:45 AM
bu5hm4n updated this revision to Diff 29195.Feb 24 2020, 9:26 AM

Fix type fetching & remove EINA_UNUSED

bu5hm4n updated this revision to Diff 29277.Mar 3 2020, 4:28 AM

rebase & update the complete stack to work arround issues

zmike accepted this revision.Mar 3 2020, 9:15 AM
This revision was not accepted when it landed; it landed in state Needs Review.Mar 8 2020, 3:03 AM
Closed by commit rEFLe0c40abb40f0: ecore_evas: introduce initial selection & dnd support for x. (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain Why
This revision was automatically updated to reflect the committed changes.